Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2015-07-30
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

--- a/Makefile.am	2015-07-30 15:12:18.919794299 +0200
+++ b/Makefile.am	2015-07-30 15:34:56.890646522 +0200
@@ -2969,7 +2969,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-bus.h \
@@ -5587,12 +5591,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
--- a/Makefile.in	2015-07-30 15:36:41.292698359 +0200
+++ b/Makefile.in	2015-07-30 15:35:30.160301478 +0200
@@ -1221,34 +1221,28 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_300 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_301 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_302 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_303 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_300 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_301 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_302 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_304 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_303 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_305 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_304 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_306 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_305 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_307 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_306 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_UTMP_TRUE@am__append_308 = \
+@HAVE_UTMP_TRUE@am__append_307 = \
 @HAVE_UTMP_TRUE@	systemd-update-utmp.service
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_309 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_308 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1257,25 +1251,25 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_310 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_309 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_311 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_310 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_312 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_311 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@ENABLE_SPLIT_USR_TRUE@am__append_313 = \
+@ENABLE_SPLIT_USR_TRUE@am__append_312 = \
 @ENABLE_SPLIT_USR_TRUE@	--enable-split-usr
 
-@ENABLE_SPLIT_USR_FALSE@am__append_314 = \
+@ENABLE_SPLIT_USR_FALSE@am__append_313 = \
 @ENABLE_SPLIT_USR_FALSE@	--disable-split-usr
 
 subdir = .
@@ -4931,10 +4925,10 @@
 	install-touch-usr-hook install-busnames-target-wants-hook \
 	systemd-detect-virt-install-hook dbus1-generator-install-hook \
 	$(am__append_110) libsystemd-install-hook libudev-install-hook \
-	$(am__append_127) journal-install-hook $(am__append_301)
+	$(am__append_127) journal-install-hook $(am__append_300)
 UNINSTALL_EXEC_HOOKS = dbus1-generator-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	journal-uninstall-hook $(am__append_302)
+	journal-uninstall-hook $(am__append_301)
 INSTALL_DATA_HOOKS = units-install-hook $(am__append_118) \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -4971,7 +4965,10 @@
 noinst_DATA = $(am__append_61) $(am__append_63)
 pkgconfigdata_DATA = src/core/systemd.pc src/udev/udev.pc
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_300)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -5066,7 +5063,7 @@
 	$(nodist_zshcompletion_DATA) $(am__append_62) $(am__append_64) \
 	$(gperf_txt_sources:-list.txt=-from-name.gperf) \
 	$(gperf_txt_sources) $(am__append_107) $(am__append_155) \
-	$(am__append_303) $(am__append_304) defined undefined \
+	$(am__append_302) $(am__append_303) defined undefined \
 	test-libsystemd-sym.c test-libudev-sym.c
 AM_CPPFLAGS = \
 	-include $(top_builddir)/config.h \
@@ -5143,7 +5140,7 @@
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_88) $(am__append_92) \
 	$(sysconfdir)/udev/rules.d $(am__append_115) $(am__append_159) \
-	$(am__append_289) $(am__append_310) \
+	$(am__append_289) $(am__append_309) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -5158,9 +5155,9 @@
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount \
 	var-lib-machines.mount
 MULTI_USER_TARGET_WANTS = $(am__append_290) $(am__append_297) \
-	$(am__append_305) getty.target systemd-ask-password-wall.path
-GRAPHICAL_TARGET_WANTS = $(am__append_306)
-RESCUE_TARGET_WANTS = $(am__append_307)
+	$(am__append_304) getty.target systemd-ask-password-wall.path
+GRAPHICAL_TARGET_WANTS = $(am__append_305)
+RESCUE_TARGET_WANTS = $(am__append_306)
 SYSINIT_TARGET_WANTS = $(am__append_71) $(am__append_78) \
 	$(am__append_80) $(am__append_85) $(am__append_91) \
 	$(am__append_95) systemd-machine-id-commit.service \
@@ -5169,7 +5166,7 @@
 	systemd-journal-flush.service \
 	systemd-journal-catalog-update.service $(am__append_160) \
 	$(am__append_164) $(am__append_172) $(am__append_180) \
-	$(am__append_308) systemd-update-done.service \
+	$(am__append_307) systemd-update-done.service \
 	dev-hugepages.mount dev-mqueue.mount sys-kernel-config.mount \
 	sys-kernel-debug.mount sys-fs-fuse-connections.mount \
 	systemd-sysctl.service systemd-ask-password-console.path
@@ -5188,7 +5185,7 @@
 SYSTEM_UNIT_ALIASES = $(am__append_187) $(am__append_198) \
 	$(am__append_209) $(am__append_233) $(am__append_240) \
 	$(am__append_252) $(am__append_271) $(am__append_291) \
-	$(am__append_309) graphical.target default.target \
+	$(am__append_308) graphical.target default.target \
 	reboot.target ctrl-alt-del.target getty@.service \
 	autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -8702,8 +8699,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --enable-compat-libs \
-	$(am__append_311) $(am__append_312) $(am__append_313) \
-	$(am__append_314)
+	$(am__append_310) $(am__append_311) $(am__append_312) \
+	$(am__append_313)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
